<head>
  <meta charset="UTF-8">

  <link rel="canonical" href="{{ site.url }}{{ page.url }}" />
  {% feed_meta %}

  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <meta name="description" content="{% if page.excerpt %}{{ page.excerpt | strip_html | strip_newlines | truncate: 160 }}{% else %}{{ site.title }}{% endif %}">

  <meta property="og:site_name" content="{{ site.title }}">

  <link rel="icon" type="image/png" href="data:image/png;base64,iVBORw0KGgo=">

  <link rel="stylesheet" href="{{ site.baseurl }}/styles.css">

  {% if page.excerpt %}
  <meta property="og:description" content="{{ page.excerpt | strip_html | strip_newlines | truncate: 160 }}"/>
  {% else %}
  <meta property="og:description" content="{{ site.title | strip_html | strip_newlines | truncate: 160 }}"/>
  {% endif %}

  {% if page.title %}
  <meta property="og:title" content="{{ page.title }}">
  <meta property="og:type" content="article">
  {% else %}
  <meta property="og:title" content="{{ site.title }}">
  <meta property="og:type" content="website">
  {% endif %}

  {% if page.date %}
  <meta property="article:published_time" content="{{ page.date | date_to_xmlschema }}">
  <meta property="article:author" content="{{ site.url }}/">
  {% endif %}

  <meta property="og:url" content="{{ site.url }}{{ page.url }}" />

  {% if page.image %}
  <meta property="og:image" content="{{ site.url }}{{ page.image }}">
  {% endif %}
  <title>
    {% if page.id == "home" %}
      {{ site.title }}
    {% else %}
      {{ page.title }} &mdash; {{ site.title }}
    {% endif %}
  </title>
</head>
